#!/bin/sh -efu

. install2-init-functions

metadir="/tmp/metadata"

mkdir -p "$metadir"
cp-metadata "$metadir"/install-scripts.tar || :

if [ -f "$metadir"/install-scripts.tar ]; then
	mkdir -p "$metadir"/install-scripts
	tar -C "$metadir"/install-scripts -xvf "$metadir"/install-scripts.tar
fi

[ -d "$metadir"/install-scripts/initinstall.d/ ] &&
	find "$metadir"/install-scripts/initinstall.d/ -name '[3-9][0-9]-*' \
	  -mindepth 1 -maxdepth 1 -type f -perm -u=x \
	  -exec cp -av {} "/usr/share/install2/initinstall.d/" \;

[ -d "$metadir"/install-scripts/preinstall.d/ ] &&
	find "$metadir"/install-scripts/preinstall.d/ -mindepth 1 -maxdepth 1 -type f -perm -u=x \
	  -exec cp -av {} "/usr/share/install2/preinstall.d/" \;

[ -d "$metadir"/install-scripts/postinstall.d/ ] &&
	find "$metadir"/install-scripts/postinstall.d/ -mindepth 1 -maxdepth 1 -type f -perm -u=x \
	  -exec cp -av {} "$postinstall_dir" \;

exit 0
