#!/bin/sh
# set the current date to at least distro birth date
# if it's all wrong: http://bugzilla.altlinux.org/33705

REF="$(stat -c %Y /.ro)"
NOW="$(date +%s)"

[ "$NOW" -lt "$REF" ] || exit 0

echo -n "resetting system date to $(date -s "@$REF")" >&2
hwclock --systohc --utc
:
