#!/bin/sh
# see mkimage-profiles:features.in/control/
# file format: <facility> <state> (one per line)

. install2-init-functions

[ -x $destdir/usr/sbin/control ] || exit 1
[ -r /usr/share/install2/control ] || exit 0

while read facility state; do
	[ -z "$facility" -o -z "$state" ] ||
		chroot $destdir control "$facility" "$state" ||:
done < /usr/share/install2/control >> /tmp/install2.log 2>&1
