#!/bin/sh

. install2-init-functions

[ -d "$destdir/root" ] || exit 0
mkdir -p -m700 -- "$destdir/root/.install-log"

cd "$destdir/root/.install-log"

case "$METHOD" in
	cdrom|disk|nfs|cifs)
		url="file:$image_dir"
		;;
	http|ftp)
		if [ -d "$image_dir/.disk" ]; then
			url="file:$image_dir"
		else
			url="$image_url"
		fi
		;;
esac

# for install disk identification
curl $url/.disk/info > diskinfo ||:
curl $url/.disk/commit > diskcommit ||:
