#!/bin/sh -efu

a= . install2-init-functions

# if NetworkManager is installed, enable it by default
[ -x $destdir/usr/sbin/NetworkManager ] || exit 0

. alterator-net-functions
. shell-config

cd $destdir/etc/net/ifaces

for i in $(list_eth); do
	mkdir -p $i
	shell_config_set $i/options NM_CONTROLLED yes
	shell_config_set $i/options DISABLED yes
done
shell_config_set default/options DHCP_ARGS '"-m 1"'

exec_chroot chkconfig NetworkManager on ||:
