#!/bin/sh -efu

if [ -n "${DURING_INSTALL-}" ]; then
	DURING_INSTALL= "$0" "$@" &
	exit 0
fi

. install2-init-functions

case "$METHOD" in
	cdrom|disk) ;;
	*) exit 0 ;;
esac

. alterator-net-functions

for i in $(list_eth); do
	dhcpcd -q -p $i || continue
	break
done

[ -f /sbin/ifaddbr ] || exit 0

for i in $(list_eth); do
	[ -d "/sys/class/net/$i/bridge" ] ||
		ACTION=add ifaddbr $i ||:
done
