#!/bin/sh -efu
# Try to start NTP client

ntp_service= control_facility=

if [ -e "/etc/chrony.conf" ]; then
	ntp_service=chronyd
	control_facility=chrony
elif [ -e "/etc/ntpd.conf" ]; then
	ntp_service=ntpd
	control_facility=ntpd
elif [ -e "/etc/ntp.conf" ]; then
	ntp_service=ntpd
	control_facility=
else
	exit 0
fi

if [ -n "$control_facility" ]; then
	control "$control_facility" client ||:
fi

service "$ntp_service" start >/dev/null ||:
