#!/bin/sh -efu

. install2-init-functions

[ -x $destdir/bin/systemctl ] || exit 0

for dev in $(ls /sys/block/ | grep "^md[0-9]*"); do
    metadata="$(cat "/sys/block/$dev/md/metadata_version")"
    if [ "$metadata" = 'external:imsm' ] || [ "$metadata" = 'external:ddf' ]; then
        chroot "$destdir" systemctl add-wants sysinit.target mdmon.service
        exit 0
    fi
done
